/*
  Adobe Ensangrentado Circuit Tester
  Reads potentiometer inputs on Analog pin 0, pin1, pin2, and pin3, and
  prints the result to the serial monitor.
  
  Follow the following steps to test the circuit in your Adobe Ensangrentado
  in order to make sure that your brick is working properly.
  
  1) Connect your USB A - B cable to this computer and the Adobe Ensangrentado
  2) Go to the Tools drop down menu in the Arduino menu bar and go to the "Board" dropdown menu.
        *Within this menu select "Arduino Uno"
  3) Go to the Tools drop down menu in the Arduino menu bar and go to the "Serial Port" dropdown menu.
        *Within this menu select either the /dev/tty or /dev/cu usbserial option
  2) Press the "checkmark" button at the upper left hand corner of this window to verify the code
        *Once your computer has compiled this code you should recieve a "Done compiling" message
        *If you recieve "Done Compiling," then the following code is error free
        *If you revieve an error, you may have accidently made a change to the code.
        *If you recieve an error, delete code and dowload it again, also consult the Internet for troubleshooting
  3) Once the code has been succesfully verified, click on the "arrow" button located to the right of
     the checkmark button.
        *As the program is compiled and uploading, you will see the "uploading..." message below.
        *As you successfully upload the following code, you will see the "Done Uploading." message.
  4) Go to the Tools drop down menu in the Arduino menu bar and click on Serial Monitor
        *After a few moments a window will pop up with scrolling numbers associated with Knobs 1 - 4
        *Turn your knobs so that all of the numbers go to zero.
        *If your circuit is working correctly, you should be able to use each knob to 
         smoothly scroll values ranging from 0 - 1023 while turning the knob in a clockwise direction
        *If you can use each knob to smoothly scroll values ranging from 0 - 1023, then your circuit is working!!!
        *If you turn the knob in a clockwise direction and the number decrease instead of increase, 
         then the +5V and ground connections are reversed and need to be swapped.
        *If you cannot scroll values ranging from 0 - 1023, then your circuit is not working.
        *Unplug your Adobe Ensangrentado from this computer and start trouble shooting. 
        *If the circuit is not working, troubleshoot yoru circuit by rechecking to see if
         all of your connections are made properly.  You may have connected a wire in the wrong place, you might
         have a bad potentiometer, or maybe one of your soldered connections is not well connected.  Have patience
         and look carefully -- sometimes the obvious error is difficult to spot!!!
        *Once you troubleshoot your circuit, plug your Adobe Ensangrentado again and you can start at Step 4
         because the program is already uploaded onto the Arduino in your Adobe.
   5) Once you have succesfully tested your circuit, you can now install your knobs to the potentiometer
      control shafts on your Adobe Ensangrentado. Turn all of your potentiometers counterclockwise to zero.
   6) Once all of your potentiometers are at zero, install/adjust the knobs so that their markers are 
      at about 7 o'clock.
   7) Once you have completed the steps above, go to Step 25 of the construction document. You are almost finished!!! 
 
 This example code is in the public domain.
 */

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
}

// the loop routine runs over and over again forever:
void loop() {
  // read the input on analog pin 0:
  int sensorValue1 = analogRead(A0);
  int sensorValue2 = analogRead(A1);
  int sensorValue3 = analogRead(A2);
  int sensorValue4 = analogRead(A3);
  // print out the value you read:
  Serial.print("Knob1_");
  Serial.print(sensorValue1);
  Serial.print("     Knob2_");
  Serial.print(sensorValue2);
  Serial.print("     Knob3_");
  Serial.print(sensorValue3);
  Serial.print("     Knob4_");
  Serial.println(sensorValue4);
  delay(1);        // delay in between reads for stability
}
